List configuration audit events
curl --request GET \
--url https://api.zelinqa.ai/v1/configuration/audit \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zelinqa.ai/v1/configuration/audit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zelinqa.ai/v1/configuration/audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"request_id": "<string>",
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"occurred_at": "2023-11-07T05:31:56Z",
"action": "<string>",
"origin": "public_api",
"actor": {
"type": "api_key",
"id": "<string>"
},
"scopes": [
"<string>"
],
"request_id": "<string>",
"resource": {
"type": "objective",
"id": "<string>"
},
"diff": {
"before": {},
"after": {}
},
"details": {}
}
],
"next_cursor": "<string>"
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}Configuration
List configuration audit events
Read the append-only audit trail for configuration and API-key changes.
GET
/
v1
/
configuration
/
audit
List configuration audit events
curl --request GET \
--url https://api.zelinqa.ai/v1/configuration/audit \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zelinqa.ai/v1/configuration/audit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zelinqa.ai/v1/configuration/audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"request_id": "<string>",
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"occurred_at": "2023-11-07T05:31:56Z",
"action": "<string>",
"origin": "public_api",
"actor": {
"type": "api_key",
"id": "<string>"
},
"scopes": [
"<string>"
],
"request_id": "<string>",
"resource": {
"type": "objective",
"id": "<string>"
},
"diff": {
"before": {},
"after": {}
},
"details": {}
}
],
"next_cursor": "<string>"
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 200Required string length:
1 - 512Required string length:
1 - 160Available options:
objective, sub_objective, success_information, question, configuration, api_key, nbq